<!DOCTYPE html>

<head>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="utf-8">
    <title>Biogeo 3000 add fund</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='style/main.css') }}">
    <link href="data:image/svg+xml,
                <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100' version='1.1'>
                <text font-size='90' y='.9em'>🕷 </text></svg>"
          rel="icon">
    {% block head %}
    {% endblock %}

</head>

<body>
    <div class="app-shell">
        <div class="app-bar">
            <div class="app-title">
                <a id="app-toggle" href="#" class="app-toggle">
                     <img class="logo" src="{{ url_for('static', filename='unibasLogo.png') }}">
                    <s class="bar"></s><s class="bar"></s>
                </a>
                <div class="app-menu">
                    <ul class="app-list">
                        <li class="app-item">
                            <a class="app-link" href="/fund">
                                Map
                            </a>
                        </li>
                        <li class="app-item">
                            {% if current_user.is_authenticated %}
                        <a class="app-link" href="/auth/logout">
                            Logout
                           </a>
                           {%else%}
                           <a class="app-link" href="/auth/login">
                            Login
                        </a>
                            {% endif %}
                            </li>
                            <li class="app-item">
                            {% if current_user.is_authenticated %}
                            <a class="app-link" href="/fund/create">
                                Add find
                               </a>
                               {% endif %}
                            </li>
                            <li class="app-item">
                                {% if current_user.is_authenticated %}
                                <a class="app-link" href="/fund/list">
                                    Show files
                                   </a>
                                   {% endif %}
                                </li>
                            <li class="app-item">
                                {% if current_user.admin %}
                                <a class="app-link" href="/auth/list">
                                    Show users
                                   </a>
                                   {% endif %}
                                </li>
                            <li class="app-item">
                                {% if current_user.admin %}
                                <a class="app-link" href="/auth/register">
                                    Register new user
                                   </a>
                                   {% endif %}
                                </li>
                            <li class="app-item">
                            {% if current_user.is_authenticated %}
                            You are currently logged in as:
                            <p class="control is-expanded has-icons-left">
                                <span class="icon is-small is-left">
                                    <i class="fas fa-user"></i>
                                    {{current_user.email[:11]}}...
                                </span>
                            </p>
                            {% endif %}
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        {% block map %}{% endblock %}
        <div class="page-shell">
        {% block page %}{% endblock %}
        </div>
    </div>
</body>
<script src="{{ url_for('static', filename='js/app.js') }}"></script>
</html>
